| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iRenderBufferAccessor Struct Reference
[3D]

Interface for renderbuffer accessor. More...

`#include <ivideo/rndbuf.h>`

Inheritance diagram for iRenderBufferAccessor:

[legend]
List of all members.

## Public Member Functions
virtual void | PreGetBuffer (csRenderBufferHolder *holder, csRenderBufferName buffer)=0
| Called before associated renderbuffer is fetched from the holder.

## Detailed Description

Interface for renderbuffer accessor.

The renderbuffer accesor is similar to the shadervariable accessor system, and is used to delay calculation of the content of renderbuffers.

Definition at line 276 of file rndbuf.h.

## Member Function Documentation

virtual void iRenderBufferAccessor::PreGetBuffer | ( | csRenderBufferHolder * | holder,
|  | csRenderBufferName | buffer |
| ) |  |  | `[pure virtual]`

Called before associated renderbuffer is fetched from the holder.

The documentation for this struct was generated from the following file:

- ivideo/rndbuf.h